	AREA RESET,DATA,READONLY
	EXPORT __Vectors
__Vectors
	DCD 0x10001000
	DCD Reset_Handler
	ALIGN
	AREA mycode,CODE,READONLY
	ENTRY
	EXPORT Reset_Handler
Reset_Handler
	LDR R0,=SRC
	LDR R1,=DST
	MOV R3,#10
up
	LDR R2,[R0],#4
	STR R2,[R1],#4
	SUB R3,#1 
	TEQ R3,#0
	BNE up
STOP B STOP
	AREA data1,DATA,READWRITE
SRC DCD 0,0,0,0,0,0,0,0,0,0	
DST DCD 0,0,0,0,0,0,0,0,0,0
	END